Subject: bug#19014: closed (Re: bug#19014: 25.0.50; Disable Org, Tbl, & Text menu items that change buffer when read-only)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 May 2020 12:32:02 +0000

Your bug report

#19014: 25.0.50; Disable Org, Tbl, & Text menu items that change buffer when read-only

which was filed against the org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19014: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19014
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19014: 25.0.50; Disable Org, Tbl, & Text menu items that change buffer when read-only
From: Bastien <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 May 2020 14:31:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Drew,

Adams <[email-masked]> writes:

> Your call.  It doesn't matter to me, personally.  I'm thinking
> only of Org users - what might help them.  And you obviously are
> a better judge of that.  Feel free to close the bug, if you don't
> think it needs or is worth fixing.

I've never seen this issue brought by Org users in the last six years
so I guess we can safely close this, which I'm doing now.

Thanks,

-- 
 Bastien

Subject: 25.0.50; Disable Org, Tbl, & Text menu items that change buffer when read-only
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Mon, 10 Nov 2014 14:13:08 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

There are lots of menu items in the Org menu-bar menus (Org, Tbl, Text)
that modify the buffer but are not disabled when the buffer is
read-only.  They should be - they are no-ops in this context.

This is all the more important because there are still plenty of menu
items for commands that are useful in a read-only buffer.  Disabling the
others makes those that are available more obvious and easier to select.

That is what we do for the Edit menu, for example.  You can use it as a
model, here.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'